# Interface FeatureCollectionJson

Defines a layer of features whose geometry and attributes will be stored directly within the web map.

See https://developers.arcgis.com/web-map-specification/objects/featureCollection/.

interface FeatureCollectionJson {
layers: SublayerJson[];
showLegend?: boolean;
}

#####
Index

### Properties

layers
showLegend?

##
Properties

### layers

layers: SublayerJson[]

An array of Layer objects defining all the styling, geometry, and attribute information for the features.

### `Optional` showLegend

showLegend?: boolean

Indicates if this layer should be shown in the legend in client applications. The default is true.